Next Commerce
Gift cards

Gift Cards List

Retrieve a list of gift cards.

GET
/gift-cards/

Authorization

oauth2 gift_cards:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: gift_cards:read

Query Parameters

search_text?string

Generic search by code, name, email.

created_from?string

YYYY-MM-DD

Formatdate
created_to?string

YYYY-MM-DD

Formatdate
customer?integer

Customer

status?string

Status

  • active - Active
  • expired - Expired
  • disabled - Disabled

Value in

  • "active"
  • "disabled"
  • "expired"
currency?string

Currency

amount_from?number

Amount From

amount_to?number

Amount To

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Response Body

application/json

curl -X GET "https://example.com/gift-cards/" \  -H "X-29next-API-Version: unstable"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "balance": "string",      "created_at": "2019-08-24T14:15:22Z",      "currency": "string",      "disabled_at": "2019-08-24T14:15:22Z",      "expired_at": "2019-08-24T14:15:22Z",      "id": 0,      "initial": "string",      "last_four": "string",      "updated_at": "2019-08-24T14:15:22Z",      "user": {        "accepts_marketing": true,        "email": "user@example.com",        "first_name": "string",        "id": 0,        "ip": "string",        "language": "string",        "last_name": "string",        "phone_number": "string",        "user_agent": "string"      }    }  ]}